/*********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2022 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/constants/config';

.product {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    text-align: center;
    min-height: config.$product-tile-min-height;
}

.link {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    min-height: calc(#{config.$product-tile-min-height} - 51px);
}

.image {
    :global(img) {
        object-fit: contain;
        object-position: center center;
        height: 250px;
    }
}

.details {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.name {
    font-weight: bold;
    margin-top: 10px;

    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;

    & a {
        text-decoration: none;
        color: colors.$color-text;
    }

    & a:hover {
        text-decoration: underline;
    }
}

.price {
    font-weight: bold;
    margin-bottom: 10px;
}

.button {
    width: 100%;
}
